Add plugins to script/about

2009-05-19 00:14 - Eric Davis

Status: Closed Start date: 2009-05-18

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8.5   

Description

script/about is the fastest way to get information about a specific Redmine environment.  This patch adds some information to

script/about to print out a list of all the installed plugins and their versions.

Example output:

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.1

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /home/edavis/dev/redmine/redmine-core

Environment               development

Database adapter          mysql

Database schema version   20090518163007

About your Redmine plugins

Redmine Hoptoad Server plugin          0.0.1

Redmine Exception Handler plugin       0.2.0

Little Stream Software Design plugin   0.1.0

Redmine Graphs plugin                  0.1.0

Redmine Schedules plugin               0.4.1

Redmine My Widgets plugin              0.1.0

Rate Plugin                            0.1.0

Download Counter                       0.1.0

 Would anyone else find this useful?

Associated revisions

Revision 2766 - 2009-05-25 21:10 - Jean-Philippe Lang

Add plugins information to script/about (#3387).

Revision 2783 - 2009-06-07 20:22 - Eric Davis

Converted script/about to use Unix line ending.  It has DOS line endings and would fail.

(#3387)

History

#1 - 2009-05-19 01:35 - Mischa The Evil

Eric Davis wrote:

Would anyone else find this useful?

 +10! :)

#2 - 2009-05-19 08:44 - Gregor Bader
+1

But it would be nice if this information is displayed on the /admin/info page.

#3 - 2009-05-19 14:06 - Nanda P

+1

#4 - 2009-05-19 15:13 - Ollivier Robert

Gregor Bader wrote:

+1

But it would be nice if this information is displayed on the /admin/info page.

 +1 to both.

#5 - 2009-05-19 20:56 - Eric Davis

Gregor Bader wrote:

But it would be nice if this information is displayed on the /admin/info page.

 It's in /admin/plugins so I don't think it needs to be duplicated.

#6 - 2009-05-25 21:00 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.5

Committed in r2766.

#7 - 2009-05-31 16:52 - Mischa The Evil

Jean-Philippe Lang wrote:

Committed in r2766.

 After r2766 it seems impossible to run the script like this:

$ ./script/about

 It results in the following output:

: No such file or directory

 Running the script like following does work:

$ ruby script/about

 Regards,

Mischa.

#8 - 2009-06-03 23:40 - Ammler _

It seems not possible to run the script without development environment:

redmine@mozart:~/trunk> svnversion

2778

redmine@mozart:~/trunk> ruby script/about -e production

About your application's environment

Ruby version              1.8.6 (i586-linux)

RubyGems version          1.3.1

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /home/redmine/trunk
Environment               development

Database adapter          mysql

Database schema version   20090503121510

About your Redmine plugins

Embedded                  0.0.1

Google Analytics plugin   0.2.0

Redmine Collapse plugin   0.2.1

Redmine link              0.1.0

Redmine Graphs plugin     0.1.0

#9 - 2009-06-03 23:42 - Ammler _

(output is after I defined a database for development too)

#10 - 2009-06-07 20:24 - Eric Davis

It looks like the issue was caused by DOS line endings, converting them to unix line endings fixed script/about for me.  Mischa, can you retest using

the fixed in r2783.

#11 - 2009-06-08 01:15 - Mischa The Evil

Eric Davis wrote:

It looks like the issue was caused by DOS line endings, converting them to unix line endings fixed script/about for me.  Mischa, can you retest

using the fixed in r2783.

 Just checked it with Redmine trunk r2783 and can confirm that the issue is solved by the fix.

Thanks.

#12 - 2009-09-13 13:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2884.
